import { IEdge } from "./IEdge";
import { IGraphNode } from "./IGraphNode";
export declare class Edge implements IEdge {
    readonly origin: IGraphNode;
    readonly destination: IGraphNode;
    static create(origin: IGraphNode, destination: IGraphNode): void;
    constructor(origin: IGraphNode, destination: IGraphNode);
    readonly id: string;
    remove(): void;
}
